| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Classes | Namespaces | Enumerations
OgreGpuProgram.h File Reference
`#include "OgrePrerequisites.h"`
`#include "OgreResource.h"`
`#include "OgreGpuProgramParams.h"`
`#include "OgreHeaderPrefix.h"`
`#include "OgreVector3.h"`
`#include "OgreSharedPtr.h"`
`#include "OgreHeaderSuffix.h"`

## Classes
class | Ogre::GpuProgram
| Defines a program which runs on the GPU such as a vertex or fragment program. More...

## Namespaces
| Ogre

## Enumerations
enum | { Ogre::GPT_COUNT = GPT_COMPUTE_PROGRAM + 1 }
enum | Ogre::GpuProgramType { Ogre::GPT_VERTEX_PROGRAM = 0, Ogre::GPT_FRAGMENT_PROGRAM, Ogre::GPT_GEOMETRY_PROGRAM, Ogre::GPT_DOMAIN_PROGRAM, Ogre::GPT_HULL_PROGRAM, Ogre::GPT_COMPUTE_PROGRAM }
| Enumerates the types of programs which can run on the GPU. More...